using UnityEngine;
using System.Collections;

public class CitizenController : MonoBehaviour 
{
	private Vector3 originPosition;
	private float pickNewPositionDelay = 3.0f;
	private float pickNewPositionTimer = 3.0f;
	private Vector3 newPosition = Vector3.zero;
	private float health;
	private Manager manager;
	
	private bool dead = false;
	
	// start some shit
	void Start () 
	{
		health = Random.Range(0.25f, 0.5f);
		originPosition = transform.position;
		manager = GameObject.Find("_MANAGER").GetComponent<Manager>();
	}
	
	// don't forget to Downdate()
	void Update () 
	{
		pickNewPositionTimer += Time.deltaTime;
		if(pickNewPositionTimer > pickNewPositionDelay)
		{
			pickNewPositionTimer = 0.0f;
			pickNewPositionDelay = Random.Range(1.0f, 3.0f);
			newPosition = transform.position + new Vector3(Random.Range(-40.0f, 40.0f), 0.0f, Random.Range(-40.0f, 40.0f));
			
			if(Vector3.Distance(transform.position, originPosition) > 80.0f)
				newPosition = originPosition;	
			
			iTween.MoveTo(gameObject, newPosition, Random.Range(6.0f, 8.0f));	
			iTween.ShakeScale(gameObject, new Vector3(0.3f, 0.3f, 0.3f), Random.Range(0.5f, 1.0f));
		}
		
		if(health <= 0.0f && dead == false)
		{	
			manager.PlayCitizenDeath();
			Destroy(gameObject, 0.333f);
			manager.citizensRemaining -= 1;	
			dead = true;
		}
	}
	
	void OnTriggerStay(Collider other)
	{
		if(other.gameObject.tag == "TentacleBeam" && health > 0.0f)
		{
			//print ("CITIZEN HIT");
			health -= Time.deltaTime * 5.0f;	
		}
	}	
}
