using UnityEngine;
using System.Collections;

public class PuebloController : MonoBehaviour 
{
	private float health;
	private bool dead = false;
	private Manager manager;
	
	// Use this for initialization
	void Start () 
	{
		health = Random.Range(0.5f, 1.0f);
		manager = GameObject.Find("_MANAGER").GetComponent<Manager>();
	}
	
	// Update is called once per frame
	void Update () 
	{
		if(health <= 0.0f && dead == false)
		{
			Destroy(gameObject, 0.333f);
			manager.pueblosRemaining -= 1;
			manager.PlayPuebloDeath();
			dead = true;
		}
	}
	
	void OnTriggerStay(Collider other)
	{
		if(other.gameObject.tag == "TentacleBeam" && health > 0.0f)
		{
			//print ("PUEBLO HIT");
			health -= Time.deltaTime * 5.0f;	
		}
	}
}
